Page MenuHomePhabricator

Lots of unrelated results when searching for specific string
Closed, ResolvedPublic

Description

  1. https://phabricator.wikimedia.org/maniphest/query/advanced/
  2. Contains Words: /event.gif?
  3. Status: Open or Stalled
  4. Run query

Get lots of tasks that do not include these words at all.

Event Timeline

Aklapper created this task.Jan 14 2015, 7:34 PM
Aklapper raised the priority of this task from to Lowest.
Aklapper updated the task description. (Show Details)
Aklapper set Security to None.
Aklapper added a subscriber: Aklapper.
Qgil added a subscriber: Qgil.Jan 15 2015, 7:43 AM

Yes, saw that as well. It feels that what happens is that now stemming goes before than exact quote, and therefore you get results that contains strings similar to "/event.gif". I'm saying this without knowing how Elastic search works. It's just a feeling after seeing the type of results offered.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Jan 15 2015, 7:44 AM
jayvdb added a subscriber: jayvdb.Feb 6 2015, 4:16 AM

I'm pretty sure this is a 'special characters' and 'mysql full text search' issue. How exactly to resolve that I am not sure.

@Springle any wisdom on this or what we could file upstream?

Qgil added a comment.Feb 11 2015, 7:53 PM

Searching for "/event.gif?" (including the quotes) provides better results, apparently. The slash and the question mark are kind of ignored, but the results offered do contain all "event.gif"

https://phabricator.wikimedia.org/maniphest/query/IgZ94IMAJdB./#R

FriedhelmW closed this task as Declined.Feb 28 2015, 7:04 PM
FriedhelmW claimed this task.
FriedhelmW added a subscriber: FriedhelmW.

Searching for "/event.gif?" (including the quotes) provides better results, apparently. The slash and the question mark are kind of ignored, but the results offered do contain all "event.gif"

So declining.

Tgr changed the task status from Declined to Resolved.Feb 28 2015, 7:38 PM
Tgr added a subscriber: Tgr.

Actually this has been fixed (for now anyway) by switching the search backend to MySQL. Searching for /event.gif? and "/event.gif?" provides the exact same set of results.

Anyway, this is a duplicate of T75743 (and partially T75854).